QwtPlotMagnifier(3)

NAME
QwtPlotMagnifier -

SYNOPSIS

#include <qwt_plot_magnifier.h>

Inherits QwtMagnifier.

  Public Member Functions
QwtPlotMagnifier (QwtPlotCanvas *)
virtual ~QwtPlotMagnifier ()
QwtPlotCanvas * canvas ()
const QwtPlotCanvas * canvas () const
bool isAxisEnabled (int axis) const
QwtPlot * plot ()
const QwtPlot * plot () const
void setAxisEnabled (int axis, bool on)

  Protected Member Functions
virtual void rescale (double factor)

Detailed Description

QwtPlotMagnifier provides zooming, by magnifying in steps. Using QwtPlotMagnifier a plot can be zoomed in/out in steps using keys, the mouse wheel or moving a mouse button in vertical direction.

Together with QwtPlotZoomer and QwtPlotPanner it is possible to implement individual and powerful navigation of the plot canvas.

See also:
    QwtPlotZoomer, QwtPlotPanner, QwtPlot

Constructor & Destructor Documentation

  QwtPlotMagnifier::QwtPlotMagnifier (QwtPlotCanvas *canvas) [explicit]
Constructor

Parameters:
    canvas Plot canvas to be magnified

Member Function Documentation

  bool QwtPlotMagnifier::isAxisEnabled (intaxis) const
Test if an axis is enabled

Parameters:
    axis Axis, see QwtPlot::Axis

Returns:
    True, if the axis is enabled

See also:
    setAxisEnabled()

  void QwtPlotMagnifier::rescale (doublefactor) [protected], [virtual]
Zoom in/out the axes scales

Parameters:
    factor A value < 1.0 zooms in, a value > 1.0 zooms out.

Implements QwtMagnifier.

  void QwtPlotMagnifier::setAxisEnabled (intaxis, boolon)

En/Disable an axis. Axes that are enabled will be synchronized to the result of panning. All other axes will remain unchanged.

Parameters:
    axis Axis, see QwtPlot::Axis
    on On/Off

See also:
    isAxisEnabled()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.